ActaParserInternal::Option Struct Reference

Internal: class used to store the optional preferences in ActaParser. More...

## Public Member Functions

| Option (int flags=0)
| constructor

## Public Attributes

int | m_flags
| the flags

## Friends

std::ostream & | operator<< (std::ostream &o, Option const &opt)
| operator<<

## Detailed Description

Internal: class used to store the optional preferences in ActaParser.

## Constructor & Destructor Documentation

## Option()

ActaParserInternal::Option::Option | ( | int | flags = 0 | ) |

inline explicit

constructor

Referenced by operator<<.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Option const & | opt )

friend

operator<<

## Member Data Documentation

## m_flags

int ActaParserInternal::Option::m_flags

the flags

Referenced by operator<<, and Option().

The documentation for this struct was generated from the following file:

- ActaParser.cxx